# GAMBLE SELECTION INTERFACE

In this directory, you can find the gamble selection interface we designed.
To try it out, open the file `gamblehex-test.html` in your browser (any current
one should do); we have included the two external JavaScript libraries used,
_D3_ and _NumericJS_.

For practical usage, the interface requires a setup with a hover-capable
pointer (a mouse, for example).

The two other files present are:

  * `gamblehex.js`, which contains the Javascript code drawing the interface
  and handling the interaction. Feel free to inspect it and use the functions
  defined there to play around a bit using your browser's javascript console.
  For example, you can try out `GambleHex.assign(.3,-1,1.8);`. You can also
  modify a parameter in the code: change the value of `lg.max` on line 114,
  reload the html in your browser and see what changes.

  * `gamblehex.css`, which contains the CSS governing the visual style of the
  interface (colors, line thickness, etc.).

Click away!


If you use this code, please inform Erik Quaeghebeur and cite our
ISIPTA ‘17 paper:

    @InProceedings{QuaegWBPS-17i_,
        author   = {Erik Quaeghebeur and Chris Wesseling and Emma Beauxis-Aussalet and Teresa Piovesan and Tom Sterkenburg},
        title    = {The CWI World Cup Competition: Eliciting Sets of Acceptable Gambles},
        pages    = {277--288},
        url      = {http://proceedings.mlr.press/v62/quaeghebeur17a.html},
        urldate  = {2017-07-02},
        abstract = {We present an interface for eliciting sets of acceptable gambles on a three-outcome possibility space, discuss an experiment conducted for testing this interface, and present the results of this experiment. Sets of acceptable gambles form a representation for imprecise probabilities that is close to human behavior and eliciting them directly may improve the quality of the resulting uncertainty model. The experiment consisted of a betting competition for the 2014 FIFA World Cup: For each match bets were assigned based on the sets of acceptable gambles elicited from the participants. A new algorithm was designed for generating fair bets for assignment. Participant feedback indicated that improving the usability and transparency of the interface would ease the elicitation procedure. The experiment’s results underlined that imprecision is an essential aspect of real-life uncertainty modeling.},
        crossref = {AntonCCD-17p_},
    }
    @Proceedings{AntonCCD-17p_,
        title        = {Proceedings of the Tenth International Symposium on Imprecise Probability: Theories and Applications},
        date         = {2017},
        editor       = {Alessandro Antonucci and Giorgio Corani and Inés Couso and Sébastien Destercke},
        eventtitle   = {ISIPTA '17},
        eventdate    = {2017-07-10/2017-07-14},
        venue        = {Lugano, Switzerland},
        volume       = {62},
        series       = {Proceedings of Machine Learning Research},
        organization = {SIPTA},
    }
